Index: trunk/psLib/test/Makefile
===================================================================
--- trunk/psLib/test/Makefile	(revision 781)
+++ trunk/psLib/test/Makefile	(revision 1007)
@@ -3,6 +3,6 @@
 ##  Makefile:   test
 ##
-##  $Revision: 1.3 $  $Name: not supported by cvs2svn $
-##  $Date: 2004-05-25 23:56:26 $
+##  $Revision: 1.4 $  $Name: not supported by cvs2svn $
+##  $Date: 2004-06-11 20:36:04 $
 ##
 ##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
@@ -51,12 +51,19 @@
 # Define PHONY target "install" which will install necessary files
 
-install: $(TARGET_STATIC) $(TARGET_DYNAMIC) $(includedir) $(libexecdir)
+install: $(TARGET_STATIC) $(TARGET_DYNAMIC) $(includedir) $(libexecdir) $(testbindir)
 	install *.h $(includedir)
 	install $(TARGET_STATIC) $(libexecdir)
 	install $(TARGET_DYNAMIC) $(libexecdir)
+	install FullUnitTest runTest $(testbindir)
+	$(MAKE) --directory=collections install
+	$(MAKE) --directory=dataManip install
+	$(MAKE) --directory=sysUtils install
 
 # Define PHONY target "distclean" which will cleanup the distribution
 
 distclean:	clean
+	$(MAKE) --directory=collections distclean
+	$(MAKE) --directory=dataManip distclean
+	$(MAKE) --directory=sysUtils distclean
 	$(RM) $(TARGET_STATIC)
 	$(RM) $(TARGET_DYNAMIC)
@@ -67,9 +74,12 @@
 
 clean:
+	$(MAKE) --directory=collections clean
+	$(MAKE) --directory=dataManip clean
+	$(MAKE) --directory=sysUtils clean
 	@echo "    Deleting intermediate files for 'test'"
 	$(RM) $(SRC_OBJS) *.lint
 
 %.lint: %.c
-	splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@ 
+	splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
 
 # Rule to make include directory if needed
@@ -83,2 +93,5 @@
 	mkdir -p $(libexecdir)
 
+$(testbindir):
+	mkdir -p $(testbindir)
+
